%define realversion 2017-02-19c
%define version %(echo %{realversion} | sed -e 's/-//g')
%define releasenum 0.beta1

%if 0%{?fedora} >= 11 || 0%{?rhel} >= 5
%global useselinux 1
%else
%global useselinux 0
%endif

Name: dokuwiki-plugins
Version: %{version}
Release: %{releasenum}%{?dist}
Summary: Standards compliant simple to use wiki
Group: Applications/Internet
License: GPLv2
URL: http://www.dokuwiki.org/dokuwiki
Source1: note.zip
Source2: odt.zip
Source3: dw2pdf.zip
Source4: color.zip
Source5: hidden.zip
Source6: encryptedpasswords.zip
Source7: tag.zip
Source8: pagelist.zip
Source11: nspages.zip
Source12: changes.zip
Source13: pagemove.zip
Source14: loglog.zip
Source15: todo.zip
Source17: ckgedit.zip
Source19: edittable.zip
Source20: sortablejs.zip
Source21: howhard.zip

Patch1: dokuwiki-plugins-20140505-ckgedit_fix_media_dir.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Requires: dokuwiki = %{version}


%description
DokuWiki is a standards compliant, simple to use Wiki, mainly aimed at creating
documentation of any kind. It has a simple but powerful syntax which makes sure
the data files remain readable outside the Wiki and eases the creation of
structured texts.

All data is stored in plain text files no database is required.

This package provides several useful plugins for dokuwiki

%prep
%{__rm} -rf lib
%{__mkdir_p} lib/{plugins,tpl}
# Extract plugins
for S in %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} %{SOURCE7} %{SOURCE8} %{SOURCE11} %{SOURCE12} %{SOURCE13} %{SOURCE14} %{SOURCE15} %{SOURCE17} %{SOURCE19} %{SOURCE20} %{SOURCE21}; do
    unzip -o -d lib/plugins $S
done

mv lib/plugins/dokuwiki_note-master lib/plugins/note
mv lib/plugins/dokuwiki-plugin-odt-master lib/plugins/odt
mv lib/plugins/dokuwiki_plugin_color-master lib/plugins/color
mv lib/plugins/hidden-master lib/plugins/hidden
mv lib/plugins/plugin-tag-master lib/plugins/tag
mv lib/plugins/plugin-pagelist-master lib/plugins/pagelist
mv lib/plugins/nspages-master lib/plugins/nspages
mv lib/plugins/changes-master lib/plugins/changes
mv lib/plugins/DokuWiki-Pagemove-Plugin-master lib/plugins/pagemove
mv lib/plugins/dokuwiki-plugin-loglog-master lib/plugins/loglog
mv lib/plugins/dokuwiki-plugin-dw2pdf-master lib/plugins/dw2pdf
mv lib/plugins/ckgedit-master lib/plugins/ckgedit
mv lib/plugins/dokuwiki-plugin-todo-master lib/plugins/todo
mv lib/plugins/edittable-master lib/plugins/edittable
mv lib/plugins/sortablejs-master lib/plugins/sortablejs
mv lib/plugins/howhard-master lib/plugins/howhard
mv lib/plugins/dw-plugin-encryptedpasswords-master lib/plugins/encryptedpasswords

find lib -type d -exec chmod 755 "{}" \;
find lib -type f -exec chmod 644 "{}" \;

%patch1 -p0

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d -p $RPM_BUILD_ROOT%{_datadir}/dokuwiki/
cp -rp lib  $RPM_BUILD_ROOT%{_datadir}/dokuwiki/

%files
%defattr(-,root,root,-)
%attr(0755,apache,apache) %dir %{_datadir}/dokuwiki/lib/plugins
%attr(0775,root,apache) %dir %{_datadir}/dokuwiki/lib/plugins/*
%{_datadir}/dokuwiki/lib/plugins/*

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%changelog
* Tue Aug 22 2017 Daniel Berteaud <daniel@firewall-services.com> - 20170219c-1
- Bump for 2017-02-19c
- Update ckgedit
- Update hidden
- Update tag
- Update pagelist
- Update loglog
- Update edittable
- Update odt
- Update nspages
- Update changes
- Update dw2pdf

* Thu Mar 9 2017 Daniel Berteaud <daniel@firewall-services.com> - 20170219b-1
- Bump for 2017-02-19b

* Tue Feb 21 2017 Daniel Berteaud <daniel@firewall-services.com> - 20170219a-1
- Bump for 2017-02-19a
- Update note
- Update odt
- Update dw2pdf
- Update color
- Update hidden
- Update encryptedpasswords
- Update tag
- Update pagelist
- Update changes
- Update loglog
- Update todo
- Update ckgedit
- Update edittable
- Update sortablejs
- Update howhard

* Wed Jul 20 2016 Daniel Berteaud <daniel@firewall-services.com> - 20160626a-2
- Fix odt export when notes are used
  See https://github.com/LarsGit223/dokuwiki-plugin-odt/issues/144

* Mon Jul 4 2016 Daniel Berteaud <daniel@firewall-services.com> - 20160626a-1
- Bump for 2016-06-26a

* Tue Jun 28 2016 Daniel Berteaud <daniel@firewall-services.com> - 20160626-1
- Bump for 2016-06-26
- Update changes
- Update ckgedit
- Update dw2pdf
- Update edittable
- Update hidden
- Update howhard
- Update loglog
- Update nspages
- Update odt
- Update pagelist
- Update pagemove
- Update tag
- Update todo

* Wed Sep 9 2015 Daniel Berteaud <daniel@firewall-services.com> - 20150810a-2
- Update edittable to 2015-09-01

* Tue Sep 1 2015 Daniel Berteaud <daniel@firewall-services.com> - 20150810a-1
- Bump for 2015-08-10a
- Update odt
- Update dw2pdf
- Update hidden
- Update encryptedpassword
- Update nspage
- Update ckgedit
- Update edittable
- Update sortablejs
- Update howhard
- Remove useless dokuwiki_export template

* Fri Mar 20 2015 Daniel Berteaud <daniel@firewall-services.com> - 20140029d-1
- Bump for 2014-09-29d
- Update changes
- Update edittable
- Update encryptedpassword
- Update loglog
- Update odt

* Thu Feb 26 2015 Daniel Berteaud <daniel@firewall-services.com> - 20140029c-1
- Bump for 2014-09-29c
- Update odt
- Update dw2pdf
- Update nspage
- Update changes
- Update todo
- Update ckgedit
- Update edittable

* Thu Dec 4 2014 Daniel Berteaud <daniel@firewall-services.com> - 20140029b-1
- Bump for 2014-09-29b

* Tue Oct 14 2014 Daniel Berteaud <daniel@firewall-services.com> - 20140029a-1
- Bump version for 2014-09-29a
- Update default template
- Update ckgedit
- Update dw2pdf
- Update encryptedpassword
- Update howhard
- Update odt
- Update pagemove
- Update sortablejs
- Update todo

* Tue Aug 12 2014 Daniel Berteaud <daniel@firewall-services.com> - 20140505a-2
- update odt
- update tag
- update hidden
- update todo
- update pagelist
- update pagemove
- update dw2pdf
- update loglog
- update ckgedit
- update nspage
- update encryptedpasswords
- add edittable
- add sertablejs
- add howhard
- remove toolbox
- remove floartdiv
- remove iframe

* Fri Jun 27 2014 Daniel Berteaud <daniel@firewall-services.com> - 20140505a-1
- bump version for 2014-05-05a

* Tue May 6 2014 Daniel Berteaud <daniel@firewall-services.com> - 20140505-1
- Bump release for new dokuwiki (2014-05-05)
- Update dokuwiki tpl
- Update dw2pdf
- Update tag
- Update pagelist
- Update ckgedit

* Mon Dec 9 2013 Daniel Berteaud <daniel@firewall-services.com> - 20131208-1
- bump release for new dokuwiki version (2013-12-08)
- Update dokuwiki tpl
- Remove the old default template

* Thu Nov 28 2013 Daniel Berteaud <daniel@firewall-services.com> - 20130510a-4
- Fix permissions on the plugins dir

* Fri Nov 15 2013 Daniel Berteaud <daniel@firewall-services.com> - 20130510a-3
- Cleanup the spec file

* Thu Oct 31 2013 Daniel Berteaud <daniel@firewall-services.com> - 20130510a-2
- Fix media manager in ckgedit
- Update dw2pdf
- Update tag
- Update pagelist
- Update nspages
- Update todo
- Update ckgedit

* Wed Aug 21 2013 Daniel Berteaud <daniel@firewall-services.com> - 20130510a-1
- bump version to 2013-05-10a

* Thu Mar 28 2013 Daniel Berteaud <daniel@firewall-services.com> - 20130510-1
- update hidden
- update encryptpassword
- update tag
- update pagelist
- update todo
- replace fckgLite with ckgedit
- remove edittable
- bump version for dokuwiki 2013-05-10

* Mon Oct 15 2012 Daniel Berteaud <daniel@firewall-services.com> - 20121013-1
- bump release for new dokuwiki version

* Thu Sep 13 2012 Daniel Berteaud <daniel@firewall-services.com> - 20120910-1
- bump release for new dokuwiki version
- update hidden
- update tag
- update fckgLite
- update encryptedpasswords

* Sun Jul 15 2012 Daniel Berteaud <daniel@firewall-services.com> - 20120125b-1
- bump release for dokuwiki 2012-01-25b
- update default tpl
- update dw2pdf
- update hidden
- update encryptedpasswords
- update pagelist
- update nspages
- update pagemove
- update fckgLite
- add iframe plugin

* Tue May 29 2012 Daniel Berteaud <daniel@firewall-services.com> - 20120125a-4
- update dw2pdf, tag and hidden plugins

* Mon Apr 23 2012 Daniel Berteaud <daniel@firewall-services.com> - 20120125a-3
- bump release for new dokuwiki version

* Fri Jan 27 2012 Daniel Berteaud <daniel@firewall-services.com> - 20120125-3
- upgrade for upstream dokuwiki
- upgrade dw2pdf to latest release

* Fri Nov 18 2011 Daniel Berteaud <daniel@firewall-services.com> - 20110525a-2
- Add fckgLite plugin

* Mon Jul 18 2011 Daniel Berteaud <daniel@firewall-services.com> - 20110525a-1
- Initial release

